Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.impl
Class EnFamilyImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.cdar2.impl.ANYImpl
                      org.eclipse.ohf.ihe.common.cdar2.impl.BIN1Impl
                          org.eclipse.ohf.ihe.common.cdar2.impl.EDImpl
                              org.eclipse.ohf.ihe.common.cdar2.impl.ST1Impl
                                  org.eclipse.ohf.ihe.common.cdar2.impl.ENXPImpl
                                      org.eclipse.ohf.ihe.common.cdar2.impl.EnFamilyImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, ANY, BIN1, ED, EnFamily, ENXP, ST1

    public class EnFamilyImpl

extends ENXPImpl
implements EnFamily

An implementation of the model object 'En Family'.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary

Methods inherited from class org.eclipse.ohf.ihe.common.cdar2.impl.ENXPImpl
`eGet, eIsSet, eSet, eUnset, getPartType, getQualifier, setPartType, setQualifier, toString`

Methods inherited from class org.eclipse.ohf.ihe.common.cdar2.impl.EDImpl
`basicSetReference, basicSetThumbnail, eInverseRemove, getCompression, getIntegrityCheck, getIntegrityCheckAlgorithm, getLanguage, getMediaType, getMixed, getReference, getThumbnail, isSetCompression, isSetIntegrityCheckAlgorithm, isSetMediaType, setCompression, setIntegrityCheck, setIntegrityCheckAlgorithm, setLanguage, setMediaType, setReference, setThumbnail, unsetCompression, unsetIntegrityCheckAlgorithm, unsetMediaType`

Methods inherited from class org.eclipse.ohf.ihe.common.cdar2.impl.BIN1Impl
`getRepresentation, isSetRepresentation, setRepresentation, unsetRepresentation`

Methods inherited from class org.eclipse.ohf.ihe.common.cdar2.impl.ANYImpl
`getNullFlavor, setNullFlavor`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ENXP
`getPartType, getQualifier, setPartType, setQualifier`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ED
`getCompression, getIntegrityCheck, getIntegrityCheckAlgorithm, getLanguage, getMediaType, getMixed, getReference, getThumbnail, isSetCompression, isSetIntegrityCheckAlgorithm, isSetMediaType, setCompression, setIntegrityCheck, setIntegrityCheckAlgorithm, setLanguage, setMediaType, setReference, setThumbnail, unsetCompression, unsetIntegrityCheckAlgorithm, unsetMediaType`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.BIN1
`getRepresentation, isSetRepresentation, setRepresentation, unsetRepresentation`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD